org.firebirdsql.jaybird.xca

## Class FBXAException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.transaction.xa.XAException
      - - org.firebirdsql.jaybird.xca.FBXAException

All Implemented Interfaces:
  java.io.Serializable

    public class FBXAException
    extends javax.transaction.xa.XAException

Convenience exception that adds constructor taking message and error code together.

Author:
  Roman Rokytskyy
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class javax.transaction.xa.XAException

`errorCode, XA_HEURCOM, XA_HEURHAZ, XA_HEURMIX, XA_HEURRB, XA_NOMIGRATE, XA_RBBASE, XA_RBCOMMFAIL, XA_RBDEADLOCK, XA_RBEND, XA_RBINTEGRITY, XA_RBOTHER, XA_RBPROTO, XA_RBROLLBACK, XA_RBTIMEOUT, XA_RBTRANSIENT, XA_RDONLY, XA_RETRY, XAER_ASYNC, XAER_DUPID, XAER_INVAL, XAER_NOTA, XAER_OUTSIDE, XAER_PROTO, XAER_RMERR, XAER_RMFAIL`

### Constructor Summary

Constructors
Constructor and Description
`FBXAException()` Deprecated. will be removed in Jaybird 6, use one of the other constructors
`FBXAException(int errorCode)` Create a new instance of `FBXAException` based around a specific error code.
`FBXAException(int errorCode, java.lang.Exception reason)` Create a new instance of `FBXAException` wrapped around an underlying exception.
`FBXAException(java.lang.String msg)` Create a new instance of `FBXAException` with a given message.
`FBXAException(java.lang.String msg, int errorCode)` Create a new instance of `FBXAException` based around a message and specific error code.
`FBXAException(java.lang.String msg, int errorCode, java.lang.Exception reason)` Create a new instance of `FBXAException` based around a message and with an underlying exception.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getMessage()` Get message of this exception.
`void` `printStackTrace()` Print a stack trace for this exception to `STDERR`.
`void` `printStackTrace(java.io.PrintStream s)` Print a stack trace for this exception with a given `PrintStream`.
`void` `printStackTrace(java.io.PrintWriter s)` Print a stack trace for this exception with a given `PrintWriter`.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FBXAException

    @Deprecated
    public FBXAException()

Deprecated. will be removed in Jaybird 6, use one of the other constructors

#### FBXAException

    public FBXAException(java.lang.String msg)

Create a new instance of `FBXAException` with a given message.

Parameters:
  `msg` - The string message for this exception

#### FBXAException

    public FBXAException(int errorCode)

Create a new instance of `FBXAException` based around a specific error code.

Parameters:
  `errorCode` - The error code for this exception

#### FBXAException

    public FBXAException(java.lang.String msg,
                         int errorCode)

Create a new instance of `FBXAException` based around a message and specific error code.

Parameters:
  `msg` - The string message for this exception
  `errorCode` - The error code for this exception

#### FBXAException

    public FBXAException(int errorCode,
                         java.lang.Exception reason)

Create a new instance of `FBXAException` wrapped around an underlying exception.

Parameters:
  `errorCode` - The error code for this exception
  `reason` - The underlying exception

#### FBXAException

    public FBXAException(java.lang.String msg,
                         int errorCode,
                         java.lang.Exception reason)

Create a new instance of `FBXAException` based around a message and with an underlying exception.

Parameters:
  `msg` - The string message for this exception
  `errorCode` - The error code for this exception
  `reason` - The underlying exception

### Method Detail

#### getMessage

    public java.lang.String getMessage()

Get message of this exception.

Overrides:
  `getMessage` in class `java.lang.Throwable`
Returns:
  combined message of this exception and original exception.

#### printStackTrace

    public void printStackTrace()

Print a stack trace for this exception to `STDERR`.

Overrides:
  `printStackTrace` in class `java.lang.Throwable`

#### printStackTrace

    public void printStackTrace(java.io.PrintStream s)

Print a stack trace for this exception with a given `PrintStream`.

Overrides:
  `printStackTrace` in class `java.lang.Throwable`
Parameters:
  `s` - The `PrintStream` to which the stack trace will be written

#### printStackTrace

    public void printStackTrace(java.io.PrintWriter s)

Print a stack trace for this exception with a given `PrintWriter`.

Overrides:
  `printStackTrace` in class `java.lang.Throwable`
Parameters:
  `s` - The `PrintWriter` to which the stack trace will be written